package com.ruoyi.ss.risk.domain;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 风控对象 ss_risk
 *
 * @author ruoyi
 * @date 2024-10-18
 */
@Data
public class Risk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long riskId;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "类型")
    @ApiModelProperty("类型")
    private List<String> type;

    @Excel(name = "风控原因")
    @ApiModelProperty("风控原因")
    private String reason;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @Excel(name = "是否允许自行解封")
    @ApiModelProperty("是否允许自行解封")
    private Boolean unsealSelf;

    @Excel(name = "需要提交的材料类型列表")
    @ApiModelProperty("需要提交的材料类型列表")
    private List<String> submitType;

    @Excel(name = "实名认证ID")
    @ApiModelProperty("实名认证ID")
    private Long realNameId;

    @Excel(name = "身份证正面")
    @ApiModelProperty("身份证正面")
    private String idCardFront;

    @Excel(name = "身份证反面")
    @ApiModelProperty("身份证反面")
    private String idCardBack;

    @Excel(name = "手持身份证照片")
    @ApiModelProperty("手持身份证照片")
    private String idCardHand;

    @Excel(name = "使用场景视频")
    @ApiModelProperty("使用场景视频")
    private String video;

    @Excel(name = "视频自定义词汇")
    @ApiModelProperty("视频自定义词汇")
    private String videoWords;

    @Excel(name = "营业执照")
    @ApiModelProperty("营业执照")
    private String businessLicence;

    @Excel(name = "审核人ID")
    @ApiModelProperty("审核人ID")
    private Long verifyId;

    @Excel(name = "审核人名称")
    @ApiModelProperty("审核人名称")
    private String verifyBy;

    @Excel(name = "审核意见")
    @ApiModelProperty("审核意见")
    private String verifyRemark;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("审核时间")
    private LocalDateTime verifyTime;

    @Excel(name = "审核状态", readConverterExp = "1=待审核,2=已通过,3=未通过")
    @ApiModelProperty("审核状态")
    private String verifyStatus;
}
